package cooper

import (
	"errors"
	"net/url"
)

//单条线路开灯
func (that *CooperClient) NewUsrK3LightLineTurnOnRequest() *UsrK3LightLineTurnOnRequest {
	return &UsrK3LightLineTurnOnRequest{
		Request: Request{
			Client:     that,
			apiAddress: "/usrK3/lightLineTurnOn",
		},
	}
}

//UsrK3LightLineTurnOnRequest ...
type UsrK3LightLineTurnOnRequest struct {
	Request
}

//LineName
func (that *UsrK3LightLineTurnOnRequest) SetLineId(value int64) *UsrK3LightLineTurnOnRequest {
	that.initParams()
	that.params.Set("line_id", ToString(value))
	return that
}

//Params ...
func (that *UsrK3LightLineTurnOnRequest) Params() (url.Values, error) {
	that.initParams()
	_params := that.params
	if that.publicParamsSlice != nil {
		for _, _v := range that.publicParamsSlice {
			if _params.Get(_v) == "" {
				return nil, errors.New(that.apiAddress + "缺少参数:" + _v)
			}
		}
	}
	return _params, nil
}

//Do ...
func (that *UsrK3LightLineTurnOnRequest) Do() (interface{}, error) {
	//返回data
	_data, _err := that.Client.Post(that.apiAddress, that)
	if _err != nil {
		return nil, _err
	}
	return _data, nil
}
